package de.lmu.ifi.mfchords.utils;



import android.graphics.PointF;

public class Line2D {
	private PointF P1;
	private PointF P2;
	
	public Line2D(float p1x, float p1y, float p2x, float p2y){
		P1 = new PointF(p1x, p1y);
		P2 = new PointF(p2x, p2y);
	}
	
	public Line2D(PointF p1, PointF p2){
		P1 = p1;
		P2 = p2;
	}
	
	public PointF getP1(){
		return P1;
	}
	
	public PointF getP2(){
		return P2;
	}
	
	public double ptLineDist(PointF P) {
	    double normalLength = Math.sqrt((P2.x-P1.x)*(P2.x-P1.x)+(P2.y-P1.y)*(P2.y-P1.y));
	    return Math.abs((P.x-P1.x)*(P2.y-P1.y)-(P.y-P1.y)*(P2.x-P1.x))/normalLength;
	  }
	
	public double length(){
		return Utils.distanceBetweenPoints(P1.x, P1.y, P2.x, P2.y);
	}
	
	public double relativePosition(PointF point){
		double lineLength = this.length();
		double numerator = ((P1.y - point.y) * (P1.y - P2.y)) - ((P1.x - point.x)* (P2.x - P1.x)); 
    	return numerator / (lineLength * lineLength);
	}
	
}
