package de.lmu.ifi.mfchords.utils;


/**
 * Your View shoud implement the methods of MFCListener to receive events from the recognizer
 * 
 */

public interface MFCListener{
	
	/**
	 * called when recognizer classified the multi-finger chord.
	 * 
	 * @param mfc the String name of the multi-finger chord (see Constants for the list of names)
	 * 
	 */
    public void MFCRecognized(String mfc);
    
    /**
	 * called when fingers of multi-finger chord were released.
	 * 
	 *
	 * 
	 */
    public void MFCReleased();
    
    
    /**
	 * called when recognizer classified the multi-finger chord.
	 * 
	 * @param mfc the String name of the multi-finger chord (see Constants for the list of names)
	 * @param tappingFinger the String name of the finger that was tapped (e.g. if holding down the NF posture with thumb, index and middle finger, tapping the pinky will send 'pinky')
	 * 
	 */
    public void MFCTapRecognized(String mfc, String tappingFinger);
    
    
    /**
	 * called when the previously tapped finger was released
	 * 
	 * @param tappingFinger the String name of the finger that was previously tapped and is now released.
	 * 
	 */
    public void MFCFingerReleased(String tappingFinger);
}